Skip to main content
GET
/
v1
/
payouts
/
{id}
Retrieve a payout
curl --request GET \
  --url https://api.leanrails.com/v1/payouts/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "po_xxx",
  "object": "payout",
  "amount": 123,
  "currency": "<string>",
  "status": "pending",
  "method": "standard",
  "type": "bank_account",
  "arrival_date": 123,
  "automatic": true,
  "source_type": "<string>",
  "reconciliation_status": "<string>",
  "metadata": {},
  "created": 123,
  "livemode": true,
  "destination": "<string>",
  "description": "<string>",
  "statement_descriptor": "<string>",
  "balance_transaction": "<string>",
  "failure_balance_transaction": "<string>",
  "failure_code": "<string>",
  "failure_message": "<string>",
  "original_payout": "<string>",
  "reversed_by": "<string>",
  "canceled_at": 123,
  "failed_at": 123,
  "paid_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.fluveo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Path Parameters

id
string
required

The payout ID.

Response

The Payout.

id
string
required
Example:

"po_xxx"

object
enum<string>
required
Available options:
payout
amount
integer
required

Amount in smallest currency unit.

currency
string
required

Three-letter ISO currency code.

status
enum<string>
required

Current status of the payout.

Available options:
pending,
paid,
failed,
canceled
method
enum<string>
required

Payout speed.

Available options:
standard,
instant
type
enum<string>
required

Destination type.

Available options:
bank_account
arrival_date
integer
required

Unix timestamp of expected arrival date.

automatic
boolean
required

Whether this payout was created automatically.

source_type
string
required

Source balance type (e.g. card, bank_account).

reconciliation_status
string
required
metadata
object
required

Set of key-value pairs for storing additional information.

created
integer
required

Unix timestamp.

livemode
boolean
required
destination
string | null

ID of the destination external account.

description
string | null
statement_descriptor
string | null
balance_transaction
string | null

ID of the balance transaction for this payout.

failure_balance_transaction
string | null
failure_code
string | null
failure_message
string | null
original_payout
string | null
reversed_by
string | null
canceled_at
integer | null

Unix timestamp when canceled.

failed_at
integer | null

Unix timestamp when failed.

paid_at
integer | null

Unix timestamp when paid.